<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: Scavader</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: Scavader</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>Scavader<span class="signature">(scaffoldDir, title, config)</span><span class="type-signature"></span></h2>
        
            <div class="class-description"><p>The magic of scaffolding</p>
<h3>Create the structure</h3>
<p>Run: <code>scavader init -d scaffold/</code></p>
<h3>Example of usage</h3>
<p>You can either use the CLI to launch a scaffold
or you can use a script.</p>
<h4>CLI</h4>
<pre class="prettyprint source"><code>scavader init -d scaffold
scavader run -d scaffold -q questions
</code></pre>
<h4>Script</h4>
<pre class="prettyprint source"><code>Scavader = require(&quot;scavader&quot;)

let scavader = new Scavader(&quot;./scaffold.example/&quot;, &quot;Scavader&quot;);

scavader.run(&quot;questions&quot;).then(result => {
  console.log(result);
});
</code></pre>
<h3>Configuration object</h3>
<table>
<thead>
<tr>
<th>Field name</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>scaffoldQuestionDir</td>
<td>Overrides the subdirectory path of questions (default: 'questions/')</td>
</tr>
<tr>
<td>scaffoldCommandsDir</td>
<td>Overrides the subdirectory path of questions (default: 'commands/')</td>
</tr>
</tbody>
</table></div>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    
    <h2>Constructor</h2>
    

    
    <h4 class="name" id="Scavader"><span class="type-signature"></span>new Scavader<span class="signature">(scaffoldDir, title, config)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Create a Scavader instance.</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        
        <th>Default</th>
        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>scaffoldDir</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            
                <td class="default">
                
                </td>
            

            <td class="description last"><p>The directory of the scaffold commands and questions (default: 'scaffold')</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>title</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            
                <td class="default">
                
                    Scavader
                
                </td>
            

            <td class="description last"><p>The title to be displayed when running the menu of questions.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>config</code></td>
            

            <td class="type">
            
                
<span class="param-type">object</span>


            
            </td>

            

            
                <td class="default">
                
                </td>
            

            <td class="description last"><p>A configuration object that let you overrides some internal values.</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line60">line 60</a>
    </li></ul></dd>
    

    

    
    <dt class="tag-see">See:</dt>
    <dd class="tag-see">
        <ul>
            <li><a href="module-menu.html">module:menu</a></li>
        
            <li><a href="module-scaffold.html">module:scaffold</a></li>
        </ul>
    </dd>
    

    
</dl>




















    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="_transformQuestionsResultToScaffold"><span class="type-signature"></span>_transformQuestionsResultToScaffold<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Transforms the result of the menu to be used by the scaffold command
exectuer.</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line115">line 115</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="run"><span class="type-signature"></span>run<span class="signature">(questionModule)</span><span class="type-signature"> &rarr; {Promise}</span></h4>
    

    



<div class="description">
    <p>Run a sequence of questions and returns a promise that will resolves
returning the answers</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>questionModule</code></td>
            

            <td class="type">
            
                
<span class="param-type">array</span>


            
            </td>

            

            

            <td class="description last"><p>An array of question to be asked</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line82">line 82</a>
    </li></ul></dd>
    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p>The promise that resolves the answers</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Promise</span>


    </dd>
</dl>

    





        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-menu.html">menu</a></li><li><a href="module-scaffold.html">scaffold</a></li></ul><h3>Classes</h3><ul><li><a href="Scavader.html">Scavader</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.2</a> on Wed Jun 12 2019 17:39:45 GMT+0100 (GMT+01:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>